<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{DC7CA774-E87A-4EFB-948D-77EC1BC1F053}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>InABox.Reports</RootNamespace>
    <AssemblyName>InABox.Reports</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>TRACE;DEBUG</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="PresentationCore" />
    <Reference Include="PresentationFramework" />
    <Reference Include="ReachFramework" />
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Printing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xaml" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
    <Reference Include="WindowsBase" />
    <Reference Include="WindowsFormsIntegration" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="PreviewWindow.xaml.cs">
      <DependentUpon>PreviewWindow.xaml</DependentUpon>
    </Compile>
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="ReportDesigner.xaml.cs">
      <DependentUpon>ReportDesigner.xaml</DependentUpon>
    </Compile>
    <Compile Include="ReportGrid.cs" />
    <Compile Include="ReportManager.xaml.cs">
      <DependentUpon>ReportManager.xaml</DependentUpon>
    </Compile>
    <Compile Include="ReportUtils.cs" />
    <Compile Include="RDLReportViewer.xaml.cs">
      <DependentUpon>RDLReportViewer.xaml</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\export.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\printer.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
  </ItemGroup>
  <ItemGroup>
    <Page Include="PreviewWindow.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="ReportDesigner.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="ReportManager.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="RDLReportViewer.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\InABox.Configuration\InABox.Configuration.csproj">
      <Project>{aed031c6-4d31-4778-a19f-9c930f810eb2}</Project>
      <Name>InABox.Configuration</Name>
    </ProjectReference>
    <ProjectReference Include="..\InABox.Core\InABox.Core.csproj">
      <Project>{14c1144b-bab4-41e2-8dba-bcb329be3ab6}</Project>
      <Name>InABox.Core</Name>
    </ProjectReference>
    <ProjectReference Include="..\InABox.DynamicGrid\InABox.DynamicGrid.csproj">
      <Project>{73617ad1-7eca-4eca-965a-0dc500773c21}</Project>
      <Name>InABox.DynamicGrid</Name>
    </ProjectReference>
    <ProjectReference Include="..\inabox.logging.shared\InABox.Logging.Shared.csproj">
      <Project>{702da50a-dc67-43ca-9124-fbc84e18cc21}</Project>
      <Name>InABox.Logging.Shared</Name>
    </ProjectReference>
    <ProjectReference Include="..\InABox.Reports.Common\InABox.Reports.Common.csproj">
      <Project>{26edc095-ed1f-4f45-8782-21233cca785e}</Project>
      <Name>InABox.Reports.Common</Name>
    </ProjectReference>
    <ProjectReference Include="..\InABox.Scripting\InABox.Scripting.csproj">
      <Project>{13917bb3-4a32-49c8-80c5-2df34a0cbbc7}</Project>
      <Name>InABox.Scripting</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="FastReport.Net.Pro">
      <Version>2022.2.15</Version>
    </PackageReference>
    <PackageReference Include="Ghostscript">
      <Version>9.2.0</Version>
    </PackageReference>
    <PackageReference Include="Ghostscript.NET">
      <Version>1.2.3</Version>
    </PackageReference>
    <PackageReference Include="Microsoft.Office.Interop.Outlook">
      <Version>15.0.4797.1004</Version>
    </PackageReference>
    <PackageReference Include="Mono.Cecil">
      <Version>0.11.4</Version>
    </PackageReference>
    <PackageReference Include="Ookii.Dialogs.Wpf">
      <Version>5.0.1</Version>
    </PackageReference>
    <PackageReference Include="PDFium.Windows">
      <Version>1.0.0</Version>
    </PackageReference>
    <PackageReference Include="Syncfusion.Licensing">
      <Version>20.2.0.39</Version>
    </PackageReference>
    <PackageReference Include="Syncfusion.Pdf.Wpf">
      <Version>20.2.0.39</Version>
    </PackageReference>
    <PackageReference Include="Syncfusion.PdfViewer.WPF">
      <Version>20.2.0.39</Version>
    </PackageReference>
    <PackageReference Include="Syncfusion.ReportControls.WPF">
      <Version>18.1.0.52</Version>
    </PackageReference>
    <PackageReference Include="Syncfusion.ReportDesigner.WPF">
      <Version>18.1.0.52</Version>
    </PackageReference>
    <PackageReference Include="Syncfusion.ReportViewer.WPF">
      <Version>18.1.0.52</Version>
    </PackageReference>
    <PackageReference Include="Syncfusion.ReportWriter.Base">
      <Version>18.1.0.52</Version>
    </PackageReference>
    <PackageReference Include="Syncfusion.SfMaps.WPF">
      <Version>20.2.0.39</Version>
    </PackageReference>
    <PackageReference Include="Syncfusion.SfSkinManager.WPF">
      <Version>20.2.0.39</Version>
    </PackageReference>
    <PackageReference Include="Syncfusion.Shared.WPF">
      <Version>20.2.0.39</Version>
    </PackageReference>
    <PackageReference Include="Syncfusion.Themes.Metro.WPF">
      <Version>20.2.0.39</Version>
    </PackageReference>
    <PackageReference Include="Syncfusion.Themes.Office2013White.WPF">
      <Version>20.2.0.39</Version>
    </PackageReference>
    <PackageReference Include="Syncfusion.Themes.Office2016White.WPF">
      <Version>20.2.0.39</Version>
    </PackageReference>
    <PackageReference Include="Syncfusion.Themes.Office365.WPF">
      <Version>20.2.0.39</Version>
    </PackageReference>
    <PackageReference Include="Syncfusion.Tools.WPF">
      <Version>20.2.0.39</Version>
    </PackageReference>
    <PackageReference Include="Syncfusion.XlsIO.Wpf">
      <Version>20.2.0.39</Version>
    </PackageReference>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\frog_software_icon.ico">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\load.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\pencil.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\prev.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\back.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\email.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\first.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\last.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\next.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\print.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\save.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\zoomin.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\zoomout.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\edit.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\upload.png" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>